Page MenuHomePhabricator

Duplicate (dashboard) panels being created (users might not know how to add existing panels?)
Closed, ResolvedPublic

Description

Related comments upstream: https://secure.phabricator.com/T4984#96400

It seems that duplicate panels are being created in Dashboards by users that either don't know how to add existing panels or don't fully understand how Phabricator's Dashboards work. This may be a feature that should be reported upstream but it would benefit the organization of this site if potential duplicate panels would perhaps show a dialog with existing panels that the user should add instead of creating another with the same purpose. This is quite a trivial issue and shouldn't be worked on at this moment since we are in the middle of a major migration. Just something to look into.

Event Timeline

Negative24 raised the priority of this task from to Low.
Negative24 updated the task description. (Show Details)
Negative24 added a project: Phabricator.
Negative24 added a subscriber: Negative24.
Qgil lowered the priority of this task from Low to Lowest.Jan 8 2015, 12:15 PM
Qgil added a subscriber: Qgil.

The thing is, as of today finding panels that you can reuse (finding the query you are after + the permissions to reuse it) is more difficult than creating new panels. Unless a panel browser of sorts comes from upstream, the only option here is to triage manually, which is a task that anybody could volunteer to do, but I'm not sure whether it is a good investment of time.

I've moved this to the #Phabricator.org project since moving it upstream is probably the only resolution for this. I might forward to upstream but this doesn't seem to be very important. I've figured out a good fix to this and wouldn't take very much time for upstream.

  1. Panels that have the same exact attributes should fail pointing the user to the panel that has those attributes
  2. Panels should have unique names so that if a panel has different attributes it should reflect that in its name.

Like I said, I may forward this upstream but it doesn't seem important right now.

Negative24 raised the priority of this task from Lowest to Low.Feb 6 2015, 3:28 AM

Another potential solution is to just remove the silly panel system all together. I mean the panels would still exist but would be created with each panel. Its not that they take up much space.

Aklapper renamed this task from Duplicate panels being created to Duplicate (dashboard) panels being created (users might not know how to add existing panels?).Nov 1 2015, 4:17 PM

We have 178 dashboards now, about half named "New Simple Dashboard". And 769 panels, most named non-descriptively and not providing much info about what they do. Also, due to them being presented as single unsearchable list (see T140713 for another example of this pattern) even if I knew one I want it would be hard for me to locate it.

I would propose displaying a bit more info when we select panels, and maybe ownership info (it's very easy for me to create a panel and then lose it and I'd have to create a new one), and maybe have some code to avoid exact duplicates between panels.

We have 178 dashboards now, about half named "New Simple Dashboard". And 769 panels, most named non-descriptively and not providing much info about what they do. Also, due to them being presented as single unsearchable list (see T140713 for another example of this pattern) even if I knew one I want it would be hard for me to locate it.

I would propose displaying a bit more info when we select panels, and maybe ownership info

https://secure.phabricator.com/rP5a850ab23525616ebd6e9c96d7d812ac243c605b got merged upstream today, which will display the author of a dashboard and the panels included in a dashboard on https://phabricator.wikimedia.org/dashboard/ once we pull that version.

Quoting https://secure.phabricator.com/w/changelog/2017.07/ :

You can no longer copy dashboards. The newer menus reduce the need to create copies (by letting you solve some problems by simply having two or more dashboards) and removing this option allows us to simplify the policy model in the future. [...]
We have made some other changes to try to make creating panels easier, and expect to continue making similar changes in this vein to further reduce the need to copy dashboards and improve the ease of panel creation. We also plan to simplify dashboard policies.

I believe this class of issue (where interacting with Dashboards causes too many objects to be created) is now broadly resolved, partly by changes referenced above in 2017 and later by recent changes connected to https://secure.phabricator.com/T13272. In particular:

  • various bugs related to panels duplicating themselves on dashboards in some edit flows have been resolved;
  • various bugs related to panels vanishing or breaking in weird ways have been resolved;
  • the queries used by query panels can now be updated without adding a new named queries (temporary or otherwise).

Thanks! As the originally described situation has changed drastically in 2017 (see last two comments), I'm closing this task as resolved.

@Negative24, @Smalyshev: Please feel free to create new specific tasks if you still run into UX issues in this area. Thanks!